

#include "misc.h"
#include "chunk-stuff.h"

extern void __free_Chunk_List__(List l, ChunkFreeFnType ff)
{
  ListNode ln;
  void *ch;
  
  if (l != NULLLIST) {
    foreach (ln, l) {
      ch = (void *) liGet(ln);
      if (ch != (void *) NULL) {
        (*ff)(ch);
      }
    }
    liFree(l);
  }
}


